<template>
  <div class="page_login">
    <div class="loginTop">
      <img src="../../assets/images/banner.png" alt />
    </div>
    <div class="loginBottom">
      <div class="ipts">
        <el-input placeholder="请输入手机号码" prefix-icon="el-icon-mobile" v-model="LoginForm.tel"></el-input>
        <el-input placeholder="请输入密码" prefix-icon="el-icon-lock" v-model="LoginForm.psd" show-password></el-input>
      </div>
      <p class="forget">忘记密码?</p>
      <div class="login" @click="ToLogin()">登录</div>
      <div class="login2">
        <p>免密码登录</p>
        <p class="register">快速注册</p>
      </div>
    </div>
  </div>
</template>

<script>
 import { ToLogin } from "@/api/micro/micro"
export default {
  data() {
    return {
      tel: "",
      psd: "",
      LoginForm:{
        tel: "",
        psd: "",
      }
    };
  },
  methods:{
      ToLogin(){
        var tel = this.LoginForm.tel;
        console.log("tel是什么",tel)
        var psd =  this.LoginForm.psd;
        console.log("psd是设么",psd)
        ToLogin(tel,psd).then(response=>{
           if(response.data.state == 1){
             
           }  
        })
      }
  },
  created(){
   
  }
};
</script>


<style lang="scss">
.page_login {
  overflow: hidden;
  .loginTop {
    width: 23.4375rem;
    height: 14.0625rem;
    background: linear-gradient(
      0deg,
      rgba(158, 207, 255, 1),
      rgba(81, 119, 238, 1),
      rgba(66, 91, 234, 1)
    );

    img {
      width: 100%;
      border: none;
    }
  }
  .loginBottom {
    width: 23.4375rem;
    height: 27.625rem;
    padding-top: 1rem;
    box-sizing: border-box;
    .ipts {
      .el-input {
        display: block;
        margin: 0 auto;
        width: 19.0625rem;
        border-bottom: 1px solid #e6e6e6;
        color: rgba(155, 155, 155, 1);
        padding-left: 0.75rem;
        box-sizing: border-box;
        height: 4.25rem;
        line-height: 4.25rem;
      }
      .el-input__inner {
        border: none;
      }
      .el-input__prefix {
        font-size: 1.5rem;
      }
      .el-input__icon {
        font-size: 1.5rem;
        line-height: 4.25rem;
      }
    }
  }
  .forget {
    font-size: 0.8125rem;
    color: rgba(81, 119, 238, 1);
    margin: 0.5625rem 0 1.5rem 17.4375rem;
  }
  .login {
    width: 19.25rem;
    height: 2.875rem;
    background: linear-gradient(
      -90deg,
      rgba(129, 159, 246, 1),
      rgba(81, 119, 238, 1),
      rgba(75, 102, 234, 1)
    );
    border-radius: 1.4375rem;
    margin: 0 auto;
    line-height: 2.875rem;
    color: #fff;
    text-align: center;
  }
  .login2 {
    margin-top: 1.75rem;
    font-size: 0.8125rem;
    color: rgba(81, 119, 238, 1);
    > p:first-child {
      float: left;
      margin-left: 3rem;
    }
    .register {
      margin-left: 17.4375rem;
    }
  }
}
</style>
